Bug 1784230 - Review Request: ikona - Icon Preview for Plasma
Summary: Review Request: ikona - Icon Preview for Plasma
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-17 02:22 UTC by Carson Black
Modified: 2020-01-31 02:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 01:12:47 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Carson Black 2019-12-17 02:22:16 UTC
Spec URL: https://drive.google.com/open?id=1bB92wm7oMkFmic4q6u9c2oHO5XMOGfDw
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/326/39680326/ikona-0.7.1-1.fc31.src.rpm
Description: Ikona is an application designed to allow people to preview icons that they are working on for KDE Plasma.
Fedora Account System Username: appadeia
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39680325

Notes: This is my first Fedora package so I need a sponsor & all that jazz. Additionally, I'm the upstream developer of the program being packaged and I maintain the openSUSE package for it (as evidenced by the fact that this specfile was based off of the openSUSE specfile. Tell me if there's any openSUSE-isms in it, por favor :) ).

Comment 1 Neal Gompa 2019-12-17 02:56:52 UTC
(In reply to Carson Black from comment #0)
> Spec URL: https://drive.google.com/open?id=1bB92wm7oMkFmic4q6u9c2oHO5XMOGfDw
> SRPM URL:
> https://kojipkgs.fedoraproject.org//work/tasks/326/39680326/ikona-0.7.1-1.
> fc31.src.rpm
> Description: Ikona is an application designed to allow people to preview
> icons that they are working on for KDE Plasma.
> Fedora Account System Username: appadeia
> Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39680325
> 
> Notes: This is my first Fedora package so I need a sponsor & all that jazz.
> Additionally, I'm the upstream developer of the program being packaged and I
> maintain the openSUSE package for it (as evidenced by the fact that this
> specfile was based off of the openSUSE specfile. Tell me if there's any
> openSUSE-isms in it, por favor :) ).

Please post a Spec URL that is downloadable via curl. fedora-review can't run against Google Drive links.

Comment 2 Carson Black 2019-12-17 03:04:41 UTC
(In reply to Neal Gompa from comment #1)
> (In reply to Carson Black from comment #0)
> > Spec URL: https://drive.google.com/open?id=1bB92wm7oMkFmic4q6u9c2oHO5XMOGfDw
> > SRPM URL:
> > https://kojipkgs.fedoraproject.org//work/tasks/326/39680326/ikona-0.7.1-1.
> > fc31.src.rpm
> > Description: Ikona is an application designed to allow people to preview
> > icons that they are working on for KDE Plasma.
> > Fedora Account System Username: appadeia
> > Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39680325
> > 
> > Notes: This is my first Fedora package so I need a sponsor & all that jazz.
> > Additionally, I'm the upstream developer of the program being packaged and I
> > maintain the openSUSE package for it (as evidenced by the fact that this
> > specfile was based off of the openSUSE specfile. Tell me if there's any
> > openSUSE-isms in it, por favor :) ).
> 
> Please post a Spec URL that is downloadable via curl. fedora-review can't
> run against Google Drive links.

Aight.

Spec URL: https://gist.githubusercontent.com/Appadeia/9bd4c7b82e507472aed1833e9c12fa91/raw/b4dcf48fcec28f9cd9d94f658ac75873c346e0ff/ikona.spec

Comment 3 Robert-André Mauchin 2019-12-17 18:48:55 UTC
 - GPL-2.0-or-later is not a valid license shorthand in Fedora, see list here: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses

License:        GPLv2+

 - Typo in Source0: missing a % before {version}

Source0:        https://invent.kde.org/kde/ikona/-/archive/v%{version}/%{name}-%{version}.tar.gz

 - Changelog entries are not correctly formatted:

* Thu Dec 12 2019 Carson Black <uhhadd@gmail.com> - 0.7.1-1

i.e. add the day of the week before the month, no v before the version, and the Release info after the version.

 - 

BuildRequires:  gcc-g++ → BuildRequires:  gcc-c++






Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 41 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/ikona/review-
     ikona/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ikona-0.7.1-1.fc32.x86_64.rpm
          ikona-debuginfo-0.7.1-1.fc32.x86_64.rpm
          ikona-debugsource-0.7.1-1.fc32.x86_64.rpm
          ikona-0.7.1-1.fc32.src.rpm
ikona.x86_64: E: no-changelogname-tag
ikona.x86_64: W: invalid-license GPL-2.0-or-later
ikona.x86_64: W: no-manual-page-for-binary ikona
ikona-debuginfo.x86_64: E: no-changelogname-tag
ikona-debuginfo.x86_64: W: invalid-license GPL-2.0-or-later
ikona-debugsource.x86_64: E: no-changelogname-tag
ikona-debugsource.x86_64: W: invalid-license GPL-2.0-or-later
ikona.src: E: no-changelogname-tag
ikona.src: W: invalid-license GPL-2.0-or-later
ikona.src: E: specfile-error error: bad date in %changelog: Dec 12 2019 Carson Black <uhhadd@gmail.com> - 0.7.1
4 packages and 0 specfiles checked; 5 errors, 5 warnings.

Comment 4 Carson Black 2019-12-17 21:49:49 UTC
(In reply to Robert-André Mauchin from comment #3)
>  - GPL-2.0-or-later is not a valid license shorthand in Fedora, see list
> here:
> https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses
> 
> License:        GPLv2+
> 
>  - Typo in Source0: missing a % before {version}
> 
> Source0:       
> https://invent.kde.org/kde/ikona/-/archive/v%{version}/%{name}-%{version}.
> tar.gz
> 
>  - Changelog entries are not correctly formatted:
> 
> * Thu Dec 12 2019 Carson Black <uhhadd@gmail.com> - 0.7.1-1
> 
> i.e. add the day of the week before the month, no v before the version, and
> the Release info after the version.
> 
>  - 
> 
> BuildRequires:  gcc-g++ → BuildRequires:  gcc-c++
> 
> -snip -

Alright, revised the package based on your feedback.

Spec URL: https://gist.githubusercontent.com/Appadeia/44ca0f5ff75a3a897d0b74126213d6f5/raw/b7a3bc03f3f7565cbb627237c3241a9223afb614/ikona.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/1358/39701358/ikona-0.7.1-1.fc31.src.rpm

Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39701356

Comment 5 Robert-André Mauchin 2019-12-18 01:02:06 UTC
You forgot that part:

> and the Release info after the version

i.e 0.7.1-1, 0.7.1-2, 0.7.1-3…

Comment 6 Carson Black 2019-12-18 03:40:06 UTC
(In reply to Robert-André Mauchin from comment #5)
> You forgot that part:
> 
> > and the Release info after the version
> 
> i.e 0.7.1-1, 0.7.1-2, 0.7.1-3…

Ah, whoops. Added the release versions.

Spec URL: https://gist.githubusercontent.com/Appadeia/1e07417c39d1fbb90b12dc025144b497/raw/de218ca975a803e2d735979c3ddf148bc48a0901/ikona.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/1093/39711093/ikona-0.7.1-1.fc31.src.rpm

Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39711091

Comment 7 Robert-André Mauchin 2019-12-18 15:50:04 UTC
 - Release info start at 1 in Fedora, not 0 (I think Suse start at 0)

 - You can't have the same Version-Release in two changelog entries:

* Sun Oct  6 2019 Carson Black <uhhadd@gmail.com> - 0.7.1-0
- Disable services so version won't get changed

* Thu Sep 19 2019 Carson Black uhhadd@gmail.com - 0.7.1-0
- Update to version v0.7.1

Comment 8 Carson Black 2019-12-18 16:05:37 UTC
(In reply to Robert-André Mauchin from comment #7)
>  - Release info start at 1 in Fedora, not 0 (I think Suse start at 0)

Yes, openSUSE starts release numbers from 0, which is why all the changelog entries from under openSUSE are versioned at 0 and the first one from under Fedora is versioned at 1.

Should I increment all the release numbers by one?

Comment 9 Neal Gompa 2019-12-19 22:41:24 UTC
Just omit the '-0' for the entries from openSUSE. Since OBS controls the Release field, you can't generally be expected to know what that value is...

Comment 10 Carson Black 2019-12-20 03:17:49 UTC
(In reply to Neal Gompa from comment #9)
> Just omit the '-0' for the entries from openSUSE. Since OBS controls the
> Release field, you can't generally be expected to know what that value is...

Alright.

Spec URL: https://gist.githubusercontent.com/Appadeia/6913c93cb9049280b36367c6f6b3b45a/raw/11406ed04185461246325fca5cad2a09ac628f29/ikona.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/9131/39789131/ikona-0.7.1-1.fc31.src.rpm

Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39789128

Comment 11 Carson Black 2020-01-08 21:28:26 UTC
Ping

Comment 12 Robert-André Mauchin 2020-01-14 16:30:02 UTC
Sorry didn't see the mails. Package is approved but youstill need to find a sponsor. See https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 13 Neal Gompa 2020-01-18 01:44:06 UTC
I have sponsored Carson into the packager group.

Carson, congratulations and welcome to Fedora! You may proceed to the next step of the packaging process. :)

Comment 14 Carson Black 2020-01-18 03:43:50 UTC
(In reply to Neal Gompa from comment #13)
> I have sponsored Carson into the packager group.
> 
> Carson, congratulations and welcome to Fedora! You may proceed to the next
> step of the packaging process. :)

Aye, thanks :)

Just submitted a repo request.

Comment 15 Gwyn Ciesla 2020-01-20 15:11:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ikona

Comment 16 Fedora Update System 2020-01-20 19:25:56 UTC
FEDORA-2020-9d3f0034be has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9d3f0034be

Comment 17 Fedora Update System 2020-01-21 00:52:40 UTC
ikona-0.7.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ccd1e2939d

Comment 18 Fedora Update System 2020-01-21 03:53:29 UTC
ikona-0.7.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9d3f0034be

Comment 19 Fedora Update System 2020-01-31 01:12:47 UTC
ikona-0.7.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-01-31 02:01:07 UTC
ikona-0.7.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.